%define libver   1.1.0
%define libmajor 1

Summary: ALSA driver C++ access library
Name: clalsadrv
Version: 1.1.0
Release: 1
License: GPL
Group: System Environment/Libraries
URL: http://users.skynet.be/solaris/linuxaudio/
Source0: http://users.skynet.be/solaris/linuxaudio/downloads/clalsadrv-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

Obsoletes:    alsadrv <= 0.0.2

BuildRequires: alsa-lib-devel

%description
ALSA driver C++ access library

%package  devel
Summary: ALSA driver C++ access library
Group: Development/Libraries
Requires: clalsadrv = %{version}-%{release}

Obsoletes: alsadrv-devel <= 0.0.2

%description devel
ALSA driver C++ access library. This package includes the development
tools.

%prep
%setup -q

%build
perl -p -i -e "s|/sbin/ldconfig|# /sbin/ldconfig|g" Makefile
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_libdir}
%{__mkdir} -p %{buildroot}%{_includedir}
%{__make} PREFIX=%{buildroot}%{_prefix} install

# create missing .so.1 link
%{__ln_s} libclalsadrv.so.%{libver} %{buildroot}%{_libdir}/libclalsadrv.so.%{libmajor}

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Sat May 13 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.1.0-1
- update to 1.1.0

* Mon Dec 20 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup

* Sat Nov 27 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.1-1
- updated to 1.0.1

* Fri Jul 23 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1
- updated to 1.0.0

* Thu Jun 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.3-3
- include missing .so.0 link

* Wed Jun 16 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.3-2
- DOH!, obsolete the -devel package as well...

* Mon Jun 14 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.1-1
- obsoletes alsadrv package
- initial build

* Tue May 11 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- moved so file to main package to keep aeolus happy

* Wed May  5 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.2-2
- force apps to link with the major release name of the libraries
  (ie: ".so.0" instead of ".so")

* Tue May  4 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.2-1
- initial build, needed for releasing Aeolus
